Bug Hunting Session
Bug 97398 - SIDEBAR: Content panels not independent between apps
Summary: SIDEBAR: Content panels not independent between apps
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha1
Hardware: All All
: medium normal
Assignee: Katarina Behrens (CIB)
URL:
Whiteboard: target:5.2.0 target:5.1.3
Keywords: bibisected, needsDevEval, regression
Depends on:
Blocks: Sidebar-UI-UX
  Show dependency treegraph
 
Reported: 2016-01-27 18:58 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-10-24 16:27 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-01-27 18:58:41 UTC
Steps:
1) Open Writer
2) Expand the sidebar and notice Character and Paragraph content panels are expanded
3) Close Writer
4) Open Impress
5) Draw a square
6) Notice Character and Paragraph content panels are expanded when they shouldnt be, so collapse them
7) Close Impress
8) Open Writer
9) Notice that they are collapsed now.

This was tested with a new profile and is a regression as this doesn't happen in 5.0.4 or 5.1.0.0.alpha1+ ( 2015-11-10_23:07:49 ). It is broken in 5.1.0.0.alpha1+ ( 2015-11-24_01:06:28 ) and above.

Version: 5.0.4.2
Build ID: 2b9802c1994aa0b7dc6079e128979269cf95bc78
Locale: en-US (en_US.UTF-8)

Version: 5.1.1.0.0+
Build ID: d6c5a8103b103b80ef171c09ca593e68ae867189
CPU Threads: 2; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:libreoffice-5-1, Time: 2016-01-19_14:22:06
Locale: en-US (en_US.UTF-8)

Version: 5.2.0.0.alpha0+
Build ID: 446eb095354124406063b6467d1886b8647dc211
CPU Threads: 2; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-01-27_00:53:25
Locale: en-US (en_US.UTF-8)
Comment 1 Buovjaga 2016-01-28 18:01:32 UTC
Repro.

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: 259c1ed201f4277d74dfd600fed8c837cbf56abc
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-01-27_00:45:12
Locale: fi-FI (fi_FI)
Comment 2 Yousuf Philips (jay) (retired) 2016-01-29 10:25:41 UTC
Definitely not a minor issue, as the sidebar misbehaves after correction within the same app as well, which make using the sidebar quite unusable.

Example: You open Writer and the Character and Paragraph are closed, so open them. Click on an image and then off and the Character and Paragraph panels are closed again.
Comment 3 Buovjaga 2016-01-29 12:01:28 UTC
Aha.. well, just so we remember, the definition for medium + minor is:
Does bug make it substantially harder to make high quality work or require users to not use some features?
Comment 4 raal 2016-02-01 15:28:58 UTC
This seems to have begun at the below commit.
Adding Cc: to Michael Stahl; Could you possibly take a look at this one? Thanks

During bibisecting are Writer's Character and Paragraph content panels collapsed even when I expand them and close and reopen Writer.

9f501727289c55bcb226482ba4e6fb3fd8ab8d21 is the first bad commit
commit 9f501727289c55bcb226482ba4e6fb3fd8ab8d21
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Wed Nov 18 17:49:16 2015 -0800

    source sha:b1adb498bb0a5ff091c9d1d82332a4c43c57979b

    source sha:b1adb498bb0a5ff091c9d1d82332a4c43c57979b
author	Michael Stahl <mstahl@redhat.com>	2015-11-18 16:09:19 (GMT)
committer	Michael Stahl <mstahl@redhat.com>	2015-11-18 19:41:31 (GMT)
commit	b1adb498bb0a5ff091c9d1d82332a4c43c57979b (patch)
Comment 5 Yousuf Philips (jay) (retired) 2016-02-01 17:36:23 UTC
(In reply to Beluga from comment #3)
> Aha.. well, just so we remember, the definition for medium + minor is:
> Does bug make it substantially harder to make high quality work or require
> users to not use some features?

I would assume it make it hear to make high quality work if you are a sidebar user, which in this case, a user would have to opt not to use the some features (the sidebar). :D

@Raal: You forgot to CC Michael Stahl, so i did it. :D
Comment 6 Michael Stahl (CIB) 2016-02-01 20:17:55 UTC
commit b1adb498bb0a5ff091c9d1d82332a4c43c57979b is "svl: replace some legacy SFX_ASSERT in SfxItemPool"

- this just replaces one type of debug-only code with a different debug-only code - are you sure you bisected it correctly?
Comment 7 Yousuf Philips (jay) (retired) 2016-02-18 15:26:13 UTC
This was Raal's bibisect that he emailed to me.

9ec94ea7b9b294ef4ab1ea91610c6dfca0dc377f is the first bad commit

commit 9ec94ea7b9b294ef4ab1ea91610c6dfca0dc377f
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Sun Jul 19 11:36:47 2015 -0700

    source sha:a64999511ae654131d997eec9a3d78478cfc1c75
    source sha:a64999511ae654131d997eec9a3d78478cfc1c75

    author    Laurent Godard <lgodard.libre@laposte.net>    2015-04-30 14:56:14 (GMT)
committer    Tomaž Vajngerl <quikee@gmail.com>    2015-06-22 04:59:07 (GMT)
commit    a64999511ae654131d997eec9a3d78478cfc1c75 (patch)
Comment 8 Commit Notification 2016-03-24 10:57:32 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1a045a9df7918adf4c0d8a62db3331f120266c6e

tdf#97398: Toggle deck/panel visibility individually for each app

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Katarina Behrens (CIB) 2016-03-30 07:38:03 UTC
Fixed then.

Unsure if cherry-pick to 5.1 is wanted/needed, it's just a matter of few mouse clicks then
Comment 10 Yousuf Philips (jay) (retired) 2016-03-31 16:43:54 UTC
As it is broken in 5.1, it would be ideal to fix it in 5.1. ;D
Comment 11 Commit Notification 2016-04-11 10:34:37 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9da397de852b5d7a6eb77293030ea895bd42a2cd&h=libreoffice-5-1

tdf#97398: Toggle deck/panel visibility individually for each app

It will be available in 5.1.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.